<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="6" infoRejectCounter="0">
  <summary>
    <timer wall-clock="0.36s" wall="0.36" cpu="0.47336" calls="1"/>
  </summary>
  <header id="">
    <environment started="2022-Jan-31 13:45:06" host="Fabians-Flunder.fritz.box"/>
    <domain nx="10" ny="10" nz="1">
      <python file="make_mesh.py" pythonversion="3.8.1 (default, Feb 26 2020, 15:12:30)  [Clang 11.0.0 (clang-1100.0.33.17)]" function="set_cfs_mesh">
        <options>
          <option key="x_res" value="10"/>
          <option key="inclusion_radius" value=".3"/>
        </options>
      </python>
      <grids>
        <timer wall-clock="0.213s" wall="0.213" cpu="0.282512" calls="1"/>
        <grid gridId="default" dimensions="2" elements="100" nodes="121"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="inclusion" id="0" type="volume" regular="yes" hom="yes" nodes="45" elems="32" isQuadratic="no"/>
        <region name="mech" id="1" type="volume" regular="yes" hom="yes" nodes="100" elems="68" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="bottom" count="11"/>
        <nodes name="top" count="11"/>
        <nodes name="left" count="11"/>
        <nodes name="right" count="11"/>
        <nodes name="bottom_left" count="1" coord="(0,0)"/>
        <nodes name="bottom_right" count="1" coord="(1,0)"/>
        <nodes name="top_left" count="1" coord="(0,1)"/>
        <nodes name="top_right" count="1" coord="(1,1)"/>
        <nodes name="inclusion_nodes" count="24"/>
        <nodes name="outer_nodes" count="40"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="10" ny="10" nz="1" step="0" t="0" t0="0"/>
    </domain>
    <progOpts problem="PythonMesherVar" parameterFile="/Users/fwein/code/master/Testsuite/TESTSUIT/Technical/PythonMesherVar/PythonMesherVar.xml" schemaPath="/Users/fwein/code/master/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="22.01" name="Frohes Fensterln" build="Release" git_commit="992300bca58216b8d9b55742b6e1888fe6d46bb1" git_branch="refactor_mesh_tool" exe="cfs_master_rel"/>
      <openmp CFS_NUM_THREADS="2" MKL_NUM_THREADS="2" OMP_NUM_THREADS="2"/>
    </progOpts>
    <results>
      <timer wall-clock="0.001s" wall="0.001" cpu="0.003743" calls="6"/>
    </results>
  </header>
  <calculation>
    <process>
      <sequence step="0">
        <result data="mechTotalEnergy" location="mech" definedOn="region">
          <item step="1" step_val="0" value="0.22067" unit="Ws"/>
        </result>
        <result data="mechTotalEnergy" location="inclusion" definedOn="region">
          <item step="1" step_val="0" value="0.0060953" unit="Ws"/>
        </result>
      </sequence>
    </process>
  </calculation>
  <sequenceStep sequence="1">
    <static>
      <init_static>
        <timer wall-clock="0.039s" wall="0.039" cpu="0.078193" calls="1"/>
      </init_static>
    </static>
    <PDE>
      <mechanic>
        <header>
          <region name="inclusion" damping="none"/>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="[[1.0989, 0.32967, -3.42114e-49],[0.32967, 1.0989, 1.08138e-65],[-3.42114e-49, 1.08138e-65, 0.384615]]"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt">
                <coef value="[[0.549451, 0.164835, -1.71057e-49],[0.164835, 0.549451, 5.40692e-66],[-1.71057e-49, 5.40692e-66, 0.192308]]"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" region="inclusion">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="inclusion_nodes" size="24" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="moderate">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 6.730769e-01  2.884615e-01  2.884615e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 2.884615e-01  6.730769e-01  2.884615e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 2.884615e-01  2.884615e-01  6.730769e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  1.923077e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  1.923077e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  1.923077e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(0.5,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-09,0)"/>
        </material>
        <material name="99lines">
          <regionList>
            <region name="inclusion"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-08,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <inclusion/>
                <default order="1"/>
                <mech/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="outer_nodes" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="162" totalNumFreeEqns="162" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="162" lastFreeEqn="162" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="162" lastFreeIndex="162"/>
          </sbmBlocks>
        </setup>
        <solver>
          <pardiso hermitean="no" symStruct="no" symmetric="yes" posDef="no" pardiso_matrix="-2" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="0.001s" wall="0.001" cpu="0.002395" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0s" wall="0" cpu="0.000204" calls="1"/>
              </solve>
            </summary>
            <process>
              <call number="0">
                <symbfact cpu="0.001784" wall="0" peakMem="225" permanentMem="221"/>
                <numfact cpu="0.00047" wall="0" peakMem="42"/>
              </call>
            </process>
          </pardiso>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="2e-06" calls="1"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0.001s" wall="0.001" cpu="0.00234" calls="1" sub="true"/>
      </graph_setup>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0s" wall="0" cpu="0.001541" calls="2"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
</cfsInfo>